// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2log.base;

import 'do2log_format.dart';
import 'do2log_transport.dart';

class Do2Log {

  Do2Transport _transport;

  int _maxSeverity;

  Do2Log(int this._maxSeverity, Do2Transport this._transport);

  void write(int severity, Do2Format format) {
    if (severity >= _maxSeverity) {
      _transport.send(format);
    }
  }

}
