// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2log.string;

import 'dart:convert';
import 'do2log_format.dart';

class Do2LogString extends Do2Format {

    String _text;

    String get string => _text;

    String get json{
       Map data = {
           'text': _text,
       };
       String jsonText = JSON.encode(data);
       return jsonText;
    }

    Do2LogString(String this._text);
    
}